Antworten auf Ihre häufigsten Fragen

Infos zur Abschaltung der PHP Version 7.0 (ausführliche Version)

Wenn Ihnen die nachfolgenden Informationen zu technisch sind, klicken sie [hier].
You can find the english version here.

Warum wird PHP 7.0 deaktiviert?

Da PHP den Sicherheitssupport für PHP 7.0 zum 03.12.2018 einstellt, werden wir aus Sicherheitsgründen die Version 7.0 ebenfalls zu diesem Datum deaktivieren.

Ihnen stehen ab diesem Datum die Version 7.1 und 7.2 zur Verfügung.


Werden in PHP 7.1 bzw. 7.2 wichtige Module entfernt?

Mit der PHP-Version 7.2 wird das Modul mcrypt entfernt und steht nicht mehr zur Verfügung.
Als Alternative kann das Modul openssl genutzt werden.

Die Version des ionCube Loaders ändert sich von Version 6.0.9 auf die Version 10.2.1 für PHP 7.1 und 7.2.

Sonstige Änderungen bei PHP 7.1

Sonstige Änderungen bei PHP 7.2


Welche Webanwendungen sind mit PHP 7.1 bzw. PHP 7.2 kompatibel?

Die folgende Tabelle zeigt Ihnen, welche gängigen Webanwendungen in welcher Version mit PHP 7.1 bzw. PHP 7.2 kompatibel sind. Bitte beachten Sie, dass es hierbei um Versionsangaben für die Grundinstallation geht, über installierte Plugins oder Themes können wir keine Aussage treffen.

Webanwendung

PHP 7.1 kompatible Version

PHP 7.2 kompatible Version

Contao

3.5.35 

4.5

Contenido

Nicht kompatibel

Nicht kompatibel

Drupal

7.55

7.59

Joomla

3.7.5

3.8

Magento

1.9.2

1.9.3.9 (Installation des Patches notwendig)

Magento 2

2.2

Nicht kompatibel

ModX Revolution

2.5.1

2.6.5

ModX Evolution

1.4

1.4

NextCloud / OwnCloud

10.0

13

Oxid

v6

Keine offiziellen Informationen

Redaxo

5.3

5.6

Shopware

5.2 (Keine verschlüsselten Plugins möglich)

5.3.5 (Keine verschlüsselten Plugins möglich)

Typo3

v7

v7

Wordpress

4.9

4.9

xt:Commerce

5.1

5.1

 

Was passiert, wenn ich nichts unternehme?

Sollten Sie nichts unternehmen, könnte es im schlimmsten Fall dazu kommen, dass Ihre Webseite nach der Abschaltung von PHP 7.0 nicht mehr erreichbar ist. Wir raten Ihnen daher, die Überprüfung Ihrer Webanwendung zügig durchzuführen.


Ich brauche Hilfe. An wen kann ich mich wenden?

Natürlich können Sie unseren Support rund um die Uhr kontaktieren, dieser steht Ihnen mit Rat und Tat zur Seite.
Wir bitten aber um Verständnis, dass wir Sie bei der Anpassung von Skripten nicht unterstützen können. Bitte kontaktieren Sie in diesem Fall Ihren Webseiten-Administrator, den Entwickler der Webanwendung, oder fragen im jeweiligen Forum der Webanwendung nach.

 

English Version

If the following information is too technical for you, please click [here].

Why will PHP 7.0 be disabled?

Since PHP will stop security support for PHP 7.0 on 03.12.2018, we will also deactivate version 7.0 on this date for security reasons.

You will have version 7.1 and 7.2 available from this date.


Will important modules be removed in PHP 7.1 or 7.2?

With PHP version 7.2 the module mcrypt is removed and is no longer available.
Alternatively the module openssl can be used.

The version of the ionCube Loader changes from version 6.0.9 to version 10.2.1 for PHP 7.1 and 7.2.

Other changes in PHP 7.1

Other changes in PHP 7.2


Which web applications are compatible with PHP 7.1 or PHP 7.2?

The following table shows you which common web applications are compatible with PHP 7.1 or PHP 7.2 in which version. Please note that this is about version information for the basic installation, we cannot make a statement about installed plugins or themes.

web application

PHP 7.1 compatible version

PHP 7.2 compatible version

Contao

3.5.35 

4.5

Contenido

not compatible

not compatible

Drupal

7.55

7.59

Joomla

3.7.5

3.8

Magento

1.9.2

1.9.3.9 (Installation des Patches notwendig)

Magento 2

2.2

not compatible

ModX Revolution

2.5.1

2.6.5

ModX Evolution

1.4

1.4

NextCloud / OwnCloud

10.0

13

Oxid

v6

no official information

Redaxo

5.3

5.6

Shopware

5.2 (no encrypted plugins can be used)

5.3.5 (no encrypted plugins can be used)

Typo3

v7

v7

Wordpress

4.9

4.9

xt:Commerce

5.1

5.1

 

What happens if I do nothing?

In the worst case, if you do nothing, your website may become unavailable after PHP 7.0 has been switched off. We therefore advise you to check your web application as soon as possible.


I need help. Who can I contact?

Of course you can contact our support around the clock, they are available to you with advice and assistance.
However, we ask for your understanding that we cannot support you with the adaptation of scripts. In this case, please contact your website administrator, the developer of the web application, or ask in the respective forum of the web application.


otto.friedrich@hosteurope.de xanthippe.ypsilante@hosteurope.de hercules.ikarus@hosteurope.de